Fedora 7 : comix-3.6.4-6.fc7 (2008-2993)

High Nessus Plugin ID 31823


The remote Fedora host is missing a security update.


Several security flaws are reported against comix 3.6.4. One issue is that comix uses os.popen() to execute external commands without handling filenames properly. This may allow malicios users to execute arbitrary commands by opening some files with crafted names. This issue is now identified as CVE-2008-1568. Another issue is that comix creates a directory under /tmp with the name easily predictable by any users. This will cause DOS attach for multiuser system. This new package will fix these issues.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected comix package.

See Also



Plugin Details

Severity: High

ID: 31823

File Name: fedora_2008-2993.nasl

Version: $Revision: 1.12 $

Type: local

Agent: unix

Published: 2008/04/11

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:comix, cpe:/o:fedoraproject:fedora:7

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2008/04/08

Reference Information

CVE: CVE-2008-1568, CVE-2008-1796

FEDORA: 2008-2993

CWE: 20